<?
/***************************************************************************
 *                              obmen.php
 *                            -------------------
 *  Полнлценный модуль Файлобменника под phpBB-WAP
 *	Автор модуля: SatanHell
 *  2011 год
 ***************************************************************************/

define('IN_PHPBB', true);
$phpbb_root_path = '../';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);

$file = trim($_GET['file']);

if(!file_exists("../screen/".$file))
{
die('не удалось найти картинку');
}
else
{
$img = "../screen/".$file;
}

$info = getimagesize($img);

$w_or = $info[0];
$h_or = $info[1];

$type = $info['mime'];

switch($type)
{
case'image/jpg':
$imc=ImageCreateFromJpeg($img);
break;

case'image/jpeg':
$imc=ImageCreateFromJpeg($img);
break;

case'image/gif':
$imc=ImageCreateFromGif($img);
break;

case'image/png':
$imc=ImageCreateFromPng($img);
break;

default:
die('не удалось создать картинку');
}

switch(trim($_GET['type']))
{
default:
if($w_or < 150 && $h_or < 150)
{
$w = $w_or;
$h = $h_or;
}
else
{
$k = ($w_or > $h_or) ? $w_or/150 : $h_or/150;

$w = round($w_or/$k);
$h = round($h_or/$k);
}
$copy = true;
break;

case'small':
$w = 40;
$h = 40;
$copy = false;
break;
}
$marcer_screen = preg_replace('/^\/?(.*?)\/?$/', '\1', trim($board_config['server_name']));
$img = imagecreatetruecolor($w,$h);
imagecopyresampled($img,$imc,0,0,0,0,$w,$h,$w_or,$h_or);

if($copy)
{
imagettftext($img, 15, 10, ceil(round($w/6)), ceil(round($h/2)), imagecolorallocate($img, 0, 0, 0), 'tahoma.ttf', $marcer_screen);
}

switch($type)
{
case'image/jpeg':
header('Content-type: image/jpeg');
ImageJpeg($img);
break;

case'image/gif':
header('Content-type: image/gif');
ImageGif($img);
break;

case'image/png':
header('Content-type: image/png');
ImagePng($img);
break;

default:
die('не удалось вывести картинку');
}
?>